<?php

namespace App\Modules\BookingAdditional\Domain;

use App\Modules\Shared\Domain\Storage\Criteria\StorageCriteria;

interface BookingAdditionalRepository
{
    public function find(StorageCriteria $action): BookingAdditional | null;
    public function search(StorageCriteria $action): array;
    public function insert(BookingAdditional $model);
    public function update(BookingAdditional $model);
    public function deleteFrom(BookingAdditionalType $type, Id $idInternal);
}
